minetest.register_craftitem("amogus_items:amogus", {
	description = "Amogus",
	inventory_image = "amogus_item.png",

	--on_use = function(itemstack, user)
	--	minetest.sound_play("amogus_sound", {
	--		pos = user:get_pos(),
	--		gain = 1.0,
	--		max_hear_distance = 5
	--	})
	--end,

    --on_place = function(itemstack, placer, pointed_thing)
    --    local pos = pointed_thing.above
    --    local dir = placer:get_look_dir()
    --    local yaw = math.atan(dir.x/dir.z)
    --    if dir.z > 0 then
    --        yaw = yaw + math.pi
    --    end
    --    minetest.add_entity(pos, "amogus_entities:amogus", yaw)
    --end

    on_place = function(itemstack, placer, pointed_thing)
        if pointed_thing.type == "node" then
            local pos = pointed_thing.above
            minetest.add_entity(pos, "amogus_entities:amogus")
            minetest.sound_play("amogus_sound", {
                pos = pos,
                gain = 1.0,
                max_hear_distance = 5
            })
        end
        return itemstack
    end
})

-- add sprite, coke, fanta, tomato, and water items and make it heal 1 hp
minetest.register_craftitem("amogus_items:sprite", {
    description = "Sprite",
    inventory_image = "sprite.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:coke", {
    description = "Coke",
    inventory_image = "coke.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:fanta", {
    description = "Fanta",
    inventory_image = "fanta.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:tomato", {
    description = "Tomato",
    inventory_image = "tomato.png",
    on_use = minetest.item_eat(1),
})
minetest.register_craftitem("amogus_items:water", {
    description = "Water",
    inventory_image = "water.png",
    on_use = minetest.item_eat(1),
})
-- add sprite, coke, fanta, tomato, and water crafting recipes

